namespace Baza_Reklam
{
    internal class BoundItem
    {
        #region Fields (3) 

        private string displayMember;
        private int IDEvalue;
        private string stringValue;

        #endregion Fields 

        #region Constructors (2) 

        public BoundItem(int IDE, string displayValue)
        {
            displayMember = displayValue;
            IDEvalue = IDE;
        }

        public BoundItem(string stringValue, string displayValue)
        {
            displayMember = displayValue;
            this.stringValue = stringValue;
        }

        #endregion Constructors 

        #region Properties (3) 

        public string DisplayMember
        {
            get { return displayMember; }
            set { displayMember = value; }
        }

        public int IDEvalue1
        {
            get { return IDEvalue; }
            set { IDEvalue = value; }
        }

        public string StringValue
        {
            get { return stringValue; }
            set { stringValue = value; }
        }

        #endregion Properties 

        #region Methods (1) 

        public override string ToString()
        {
            return displayMember;
        }

        #endregion Methods 
    }
}